org.eclipse.cdt.utils.xcoff

## Class XCoff32.FileHeader

- java.lang.Object
- - org.eclipse.cdt.utils.xcoff.XCoff32.FileHeader

Enclosing class:
  XCoff32

    public static class XCoff32.FileHeader
    extends Object

### Field Summary

Fields
`static int` `F_DSA`
`static int` `F_DYNLOAD`
`static int` `F_EXEC`
`static int` `F_FDPR_OPTI`
`static int` `F_FDPR_PROF`
`short` `f_flags`
`static int` `F_LNNO`
`static int` `F_LOADONLY`
`static int` `F_LSYMS`
`short` `f_magic`
`short` `f_nscns`
`int` `f_nsyms`
`short` `f_opthdr`
`static int` `F_RELFLG`
`static int` `F_SHROBJ`
`int` `f_symptr`
`int` `f_timdat`
`static int` `FILHSZ`
`static int` `U64_TOCMAGIC`
`static int` `U802TOCMAGIC`
`static int` `U803TOCMAGIC`
`static int` `U803XTOCMAGIC`

### Constructor Summary

Constructors
Constructor and Description
`FileHeader(byte[] hdr, boolean little)`
`FileHeader(RandomAccessFile file)`
`FileHeader(RandomAccessFile file, long offset)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `commonSetup(byte[] hdr, boolean little)`
`boolean` `isDebug()`
`boolean` `isExec()`
`boolean` `isStrip()`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### FILHSZ

    public static final int FILHSZ

See Also:
  Constant Field Values

#### U802TOCMAGIC

    public static final int U802TOCMAGIC

See Also:
  Constant Field Values

#### U803TOCMAGIC

    public static final int U803TOCMAGIC

See Also:
  Constant Field Values

#### U803XTOCMAGIC

    public static final int U803XTOCMAGIC

See Also:
  Constant Field Values

#### U64_TOCMAGIC

    public static final int U64_TOCMAGIC

See Also:
  Constant Field Values

#### F_RELFLG

    public static final int F_RELFLG

See Also:
  Constant Field Values

#### F_EXEC

    public static final int F_EXEC

See Also:
  Constant Field Values

#### F_LNNO

    public static final int F_LNNO

See Also:
  Constant Field Values

#### F_LSYMS

    public static final int F_LSYMS

See Also:
  Constant Field Values

#### F_FDPR_PROF

    public static final int F_FDPR_PROF

See Also:
  Constant Field Values

#### F_FDPR_OPTI

    public static final int F_FDPR_OPTI

See Also:
  Constant Field Values

#### F_DSA

    public static final int F_DSA

See Also:
  Constant Field Values

#### F_DYNLOAD

    public static final int F_DYNLOAD

See Also:
  Constant Field Values

#### F_SHROBJ

    public static final int F_SHROBJ

See Also:
  Constant Field Values

#### F_LOADONLY

    public static final int F_LOADONLY

See Also:
  Constant Field Values

#### f_magic

    public short f_magic

#### f_nscns

    public short f_nscns

#### f_timdat

    public int f_timdat

#### f_symptr

    public int f_symptr

#### f_nsyms

    public int f_nsyms

#### f_opthdr

    public short f_opthdr

#### f_flags

    public short f_flags

### Constructor Detail

#### FileHeader

    public FileHeader(RandomAccessFile file)
               throws IOException

Throws:
  `IOException`

#### FileHeader

    public FileHeader(RandomAccessFile file,
                      long offset)
               throws IOException

Throws:
  `IOException`

#### FileHeader

    public FileHeader(byte[] hdr,
                      boolean little)
               throws IOException

Throws:
  `IOException`

### Method Detail

#### commonSetup

    public void commonSetup(byte[] hdr,
                            boolean little)
                     throws IOException

Throws:
  `IOException`

#### isStrip

    public boolean isStrip()

#### isExec

    public boolean isExec()

#### isDebug

    public boolean isDebug()

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`